Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06481 DIP/Input Major Always Jan 28, 2017, 07:54 Apr 26, 2017, 09:03
Tester Hirudov View Status Public Platform MAME (Official Binary)
Assigned To R. Belmont Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver mac128.cpp
Version 0.181 Fixed in Version 0.185 Build Normal
Summary MESS-specific 06481: All classic Macs: Keyboard input is not working anymore in the emulated macs since version 0.181
Description I have tested the keyboard input in the emulated Macs on old versions of MAME/MESS and there it worked fine. But since version 0.181 the keyboard input is not working at all. Probably because of the change of some ROMsets.
Steps To Reproduce Easiest way to check is to click on some file name in MacOS Finder and try to rename it.
Additional Information
Flags
Regression Version
Affected Sets / Systems All classic Macs
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
3
User avatar
No.13591
B2K24
Moderator
Feb 6, 2017, 04:32
I'd like R. Belmont's input on this one.
User avatar
No.13597
Tafoid
Administrator
Feb 6, 2017, 15:43
Asked him over a week ago in his shout box and he seemed disinterested.
Can we please get a specific example of how to duplicate? Machine name/software list name used and in "steps to reproduce", simply assume that no one has ever used a MAC before and explain the process to demonstrate this issue.
User avatar
No.13787
Robbbert
Developer
Apr 24, 2017, 02:00
Seems arbee might have fixed it in

https://github.com/mamedev/mame/commit/f5da128a9432c9956a0f4988445155cf19c427c0

and

https://github.com/mamedev/mame/commit/13473bbd4c7d1f5600f0ef1284a13a9fd98eac55

but he hasn't bothered to update this report, so someone who knows about macs will have to test it out.